Class WafAcfpConfig
- All Implemented Interfaces:
Serializable,SdkPojo,ToCopyableBuilder<WafAcfpConfig.Builder,WafAcfpConfig>
Describes the configuration of the account creation fraud prevention Web Application Firewall (WAF) rule group. The rule group inspects account creation requests to your application.
- See Also:
-
Nested Class Summary
Nested Classes -
Method Summary
Modifier and TypeMethodDescriptionstatic WafAcfpConfig.Builderbuilder()final StringThe path of the endpoint that accepts completed account creation forms (for example,/signup/submit).final booleanfinal booleanequalsBySdkFields(Object obj) Indicates whether some other object is "equal to" this one by SDK fields.final <T> Optional<T> getValueForField(String fieldName, Class<T> clazz) final inthashCode()final WafPayloadTypeEnumThe content type of the request body of account creation requests.final StringThe content type of the request body of account creation requests.final StringThe path of the page that displays the account creation form (for example,/signup).final WafResponseInspectionAn object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.static Class<? extends WafAcfpConfig.Builder> Take this object and create a builder that contains all of the current property values of this object.final StringtoString()Returns a string representation of this object.Methods inherited from interface software.amazon.awssdk.utils.builder.ToCopyableBuilder
copy
-
Method Details
-
payloadType
The content type of the request body of account creation requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
If the service returns an enum value that is not available in the current SDK version,
payloadTypewill returnWafPayloadTypeEnum.UNKNOWN_TO_SDK_VERSION. The raw value returned by the service is available frompayloadTypeAsString().- Returns:
- The content type of the request body of account creation requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
-
- See Also:
-
-
payloadTypeAsString
The content type of the request body of account creation requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
If the service returns an enum value that is not available in the current SDK version,
payloadTypewill returnWafPayloadTypeEnum.UNKNOWN_TO_SDK_VERSION. The raw value returned by the service is available frompayloadTypeAsString().- Returns:
- The content type of the request body of account creation requests.
The following content types are possible:
-
JSON– The request body is in JSON format. -
FORM_ENCODED– The request body is form encoded.
-
- See Also:
-
-
creationPath
The path of the endpoint that accepts completed account creation forms (for example,
/signup/submit). This endpoint must acceptPOSTrequests.Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
- Returns:
- The path of the endpoint that accepts completed account creation forms (for example,
/signup/submit). This endpoint must acceptPOSTrequests.Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
-
-
-
registrationPagePath
The path of the page that displays the account creation form (for example,
/signup).Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
- Returns:
- The path of the page that displays the account creation form (for example,
/signup).Constraints:
-
Must start with a forward slash (
/). -
Must contain from 1 to 256 characters.
-
-
-
responseInspection
An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.
- Returns:
- An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.
-
toBuilder
Description copied from interface:ToCopyableBuilderTake this object and create a builder that contains all of the current property values of this object.- Specified by:
toBuilderin interfaceToCopyableBuilder<WafAcfpConfig.Builder,WafAcfpConfig> - Returns:
- a builder for type T
-
builder
-
serializableBuilderClass
-
hashCode
-
equals
-
equalsBySdkFields
Description copied from interface:SdkPojoIndicates whether some other object is "equal to" this one by SDK fields. An SDK field is a modeled, non-inherited field in anSdkPojoclass, and is generated based on a service model.If an
SdkPojoclass does not have any inherited fields,equalsBySdkFieldsandequalsare essentially the same.- Specified by:
equalsBySdkFieldsin interfaceSdkPojo- Parameters:
obj- the object to be compared with- Returns:
- true if the other object equals to this object by sdk fields, false otherwise.
-
toString
-
getValueForField
-
sdkFields
-
sdkFieldNameToField
- Specified by:
sdkFieldNameToFieldin interfaceSdkPojo- Returns:
- The mapping between the field name and its corresponding field.
-